package org.apache.bcel.classfile;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.io.DataOutputStream;
import java.io.IOException;
import org.apache.bcel.classfile.ConstantPool;
import org.apache.bcel.classfile.ElementValue;

public class ElementValuePair {
  static final org.apache.bcel.classfile.ElementValuePair[] EMPTY_ARRAY = new org.apache.bcel.classfile.ElementValuePair[0];
  
  private final ElementValue elementValue;
  
  private final ConstantPool constantPool;
  
  private final int elementNameIndex;
  
  public ElementValuePair(int elementNameIndex, ElementValue elementValue, ConstantPool constantPool) {
    this.elementValue = elementValue;
    this.elementNameIndex = elementNameIndex;
    this.constantPool = constantPool;
  }
  
  protected void dump(DataOutputStream dos) throws IOException {
    dos.writeShort(this.elementNameIndex);
    this.elementValue.dump(dos);
  }
  
  public int getNameIndex() {
    return this.elementNameIndex;
  }
  
  public String getNameString() {
    return this.constantPool.getConstantUtf8(this.elementNameIndex).getBytes();
  }
  
  public final ElementValue getValue() {
    return this.elementValue;
  }
  
  public String toShortString() {
    StringBuilder result = new StringBuilder();
    result.append(getNameString()).append("=").append(getValue().toShortString());
    return result.toString();
  }
}
